FreeBSD : ruby -- arbitrary command execution on XMLRPC server (594eb447-e398-11d9-a8bd-000cf18bbe54)

This script is Copyright (C) 2005-2015 Tenable Network Security, Inc.


Synopsis :

The remote FreeBSD host is missing one or more security-related
updates.

Description :

Nobuhiro IMAI reports :

the default value modification on Module#public_instance_methods (from
false to true) breaks s.add_handler(XMLRPC::iPIMethods('sample'),
MyHandler.new) style security protection.

This problem could allow a remote attacker to execute arbitrary
commands on XMLRPC server of libruby.

See also :

http://blade.nagaokaut.ac.jp/cgi-bin/scat.rb/ruby/ruby-core/5237
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=315064
http://www.nessus.org/u?72fc64a2

Solution :

Update the affected packages.

Risk factor :

High / CVSS Base Score : 7.5
(CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P)

Family: FreeBSD Local Security Checks

Nessus Plugin ID: 18942 (freebsd_pkg_594eb447e39811d9a8bd000cf18bbe54.nasl)

Bugtraq ID:

CVE ID: CVE-2005-1992

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now